curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"fulfillmentStatus": "unfulfilled",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"amountSummary": "{ subtotal: 100, discount: 5 }",
"source": "{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }",
"items": "{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}",
"coupon": "{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }",
"trackingId": "63319ef9-de0a-4c84-aebd-3585fb4a0cdf",
"fingerprint": "5d51db5a-42b0-4b04-ba88-2c046c982a3a",
"meta": "{ couponSessionExpired: true }",
"markAsTest": "false",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"automaticTaxesCalculated": true,
"taxCalculationProvider": "taxjar",
"createdBy": "user123"
}The “Get Order by ID” API allows to retrieve information for a specific order using its unique identifier. Use this endpoint to fetch details for a single order based on the provided order ID.
curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"fulfillmentStatus": "unfulfilled",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"amountSummary": "{ subtotal: 100, discount: 5 }",
"source": "{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }",
"items": "{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}",
"coupon": "{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }",
"trackingId": "63319ef9-de0a-4c84-aebd-3585fb4a0cdf",
"fingerprint": "5d51db5a-42b0-4b04-ba88-2c046c982a3a",
"meta": "{ couponSessionExpired: true }",
"markAsTest": "false",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"automaticTaxesCalculated": true,
"taxCalculationProvider": "taxjar",
"createdBy": "user123"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 ID of the order that needs to be returned
"653f5e0cde5a1314e62a837c"
LocationId is the id of the sub-account.
"3SwdhCu3svxI8AKsPJt6"
AltId is the unique identifier e.g: location id.
"3SwdhCu3svxI8AKsPJt6"
Successful response
The unique identifier for the order.
"653f5e0cde5a1314e62a837c"
AltId is the unique identifier eg: location id.
"3SwdhCu3svxI8AKsPJt6"
AltType is the type of identifier.
"location"
The status of the order (e.g., completed).
"completed"
The creation timestamp of the order.
"2023-11-20T10:23:36.515Z"
The last update timestamp of the order.
"2024-01-23T09:57:04.846Z"
Contact id corresponding to the order.
"XPLSw2SVagl12LMDeTmQ"
Currency in which order was created.
"USD"
Order value.
"100"
Order is in live / test mode.
"false"
Fulfillment status of the order.
"unfulfilled"
Contact details of the order.
"{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}"
Show child attributes
"{ subtotal: 100, discount: 5 }"
Show child attributes
"{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }"
Item details of the order.
"{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}"
Coupon details of the order.
"{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }"
Tracking id of the order.
"63319ef9-de0a-4c84-aebd-3585fb4a0cdf"
Fingerprint id of the order.
"5d51db5a-42b0-4b04-ba88-2c046c982a3a"
Meta details of the order.
"{ couponSessionExpired: true }"
Is test order.
"false"
Trace id of the order.
"d3b16a92-a8ed-4e6b-8467-844750f78ed5"
Automatic taxes applied for the Order
true
Provider name for automatic tax calculation
"taxjar"
User ID who created the order.
"user123"
Was this page helpful?